Package org.eclipse.ecf.provider.comm.tcp

## Interface IClientSocketFactory

All Known Implementing Classes:
  `SocketFactory`

    public interface IClientSocketFactory

### Method Summary

All Methods Instance Methods Abstract Methods
`Socket` `createSocket​(String name, int port, int timeout)`

### Method Detail

#### createSocket

    Socket createSocket​(String name,
                        int port,
                        int timeout)
                 throws IOException

Throws:
  `IOException`